Page MenuHomePhabricator

Add an option in Special:Book to download PDFs generated by ElectronPdfService
Closed, DeclinedPublic5 Estimated Story Points

Description

Background

We would like to let users select electron or OCG and run both in parallel to see the performance of electron within the books feature (collections extension) prior to OCG sunsetting.

A/C

  • Add an option to the "Format" select box on Special:Book. (See screenshot below.)
  • Option will read: "Single column (includes tables and infoboxes)"
  • Change name of ocg option to read: "Double column (without tables and infoboxes)"
  • Make the new option default
  • Feature flag the option
  • Do a SWAT deploy so we can sign this off:
$wgCollectionFormats['electron'] = 'PDF';

Make sure it comes before other similar formats because we want this option to be displayed first in the drop-down list.

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
InvalidNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedphuedx
Resolvedovasileva
Invalidovasileva
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
InvalidNone
Resolvedovasileva
InvalidNone
InvalidNone
InvalidNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2017, 4:19 PM
bmansurov updated the task description. (Show Details)Aug 18 2017, 4:08 PM

@bmansurov - I think this might be the same as T171834: Create page for testing new book renderer, although we can split up with the design in the latter and the implementation in this one.

@ovasileva yes they look similar. Please feel free to update either or both, or merge them as you see fit.

ovasileva triaged this task as High priority.Aug 25 2017, 10:37 AM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 10:37 AM
jeblad removed a subscriber: jeblad.Aug 25 2017, 9:26 PM
ovasileva updated the task description. (Show Details)Aug 29 2017, 4:17 PM
ovasileva updated the task description. (Show Details)Aug 29 2017, 4:21 PM
ovasileva updated the task description. (Show Details)Aug 29 2017, 4:24 PM
ovasileva updated the task description. (Show Details)Aug 29 2017, 4:26 PM
ovasileva updated the task description. (Show Details)
ovasileva set the point value for this task to 5.Aug 29 2017, 4:34 PM

Change 374632 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/Collection@master] Add option to download single column PDFs

https://gerrit.wikimedia.org/r/374632

ovasileva moved this task from Triage to Current Sprint on the Proton board.Aug 30 2017, 5:00 PM

I've spent some time making sense of the code today and I now agree that 5 points might be an over-estimate for the actual work involved here, but it's been useful to have some time to read through, understand and make the code less scary.

Your patch looks good, but review/merge does however seem blocked on T171838 - should we move to the blocked column or is there more to do here?

ovasileva changed the task status from Open to Stalled.Sep 19 2017, 5:15 PM
ovasileva moved this task from 2017-18 Q1 to Needs Prioritization on the Readers-Web-Backlog board.

Stalled due to pausing the books feature, as electron will not be our final renderer. Let's get back to this once we select a renderer.

What needs analysing here?

bmansurov removed bmansurov as the assignee of this task.Nov 15 2017, 8:44 PM

Not working on the task.

Change 374632 abandoned by Bmansurov:
Add option to download single column PDFs

Reason:
not working on it currently

https://gerrit.wikimedia.org/r/374632

Jdlrobson closed this task as Declined.Feb 7 2018, 7:25 PM

Doesn't look like Electron plays a part in this, given we've disabled that too. We should invest in the new proton service once it's pinned down for books.